package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.support.JpaEntitySupport;

/**
 * 应用
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_B_APP")
public class App extends JpaEntitySupport {

	private static final long serialVersionUID = -6288949236298877031L;

	/**
	 * 应用ID
	 */
	@Id
	private String id;

	/**
	 * 应用名称
	 */
	@Column(unique = true, nullable = false)
	private String name;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

}
